#!/bin/sh

echo "BIXOLON Co., Ltd."
echo "BIXOLON Label Printer MAC Driver V1.1.3 Installer"
echo "---------------------------------------"
echo ""
echo ""

ROOT_UID=0

if [ "$UID" -ne "$ROOT_UID" ]
then
    echo "This script requires root user access..."
    echo "Re-run as root user..."
    exit 1
fi

echo "Copying rastertoBxlLabel_v1.1.3 filter..."

 sudo chmod +x rastertoBxlLabel_v1.1.3
 sudo cp ./rastertoBxlLabel_v1.1.3 /usr/libexec/cups/filter/
 sudo chmod 0755 /usr/libexec/cups/filter/rastertoBxlLabel_v1.1.3
 ln -s /usr/libexec/cups/filter/rastertoBxlLabel_v1.1.3 /usr/libexec/cups/filter/rastertoBxlLabel
echo ""

echo "Copying model ppd files... "
   sudo cp -r ../Bixolon /usr/share/cups/model/ 
   sudo chmod 0755 /usr/share/cups/model/Bixolon/*
echo ""

echo "Restarting CUPS"
    sudo launchctl unload /System/Library/LaunchDaemons/org.cups.cupsd.plist
    sudo launchctl load /System/Library/LaunchDaemons/org.cups.cupsd.plist
    echo ""

echo "Install Complete"
echo "Add printer queue using OS tool, http://localhost:631, or http://127.0.0.1:631"
echo ""

